	INTEGER FUNCTION NELD(A,N)
C
C  Note:  This is the UNIX version.
C
C        This function counts the number of 8-byte words in the array
C  A of dimension N.  It is used after a call to USRINP.  If a default 
C  is not taken with USRINP, the correct number will be returned;  however,
C  if a default is taken with USRINP, one must precede the call to USRINP
C  with a call to SETEND.  For example,   
C	DO I=1,MAXNUMPARAM
C	  J=SETEND(PARAMETER(I))
C	END DO
C	CALL USRINP(PARAMETER,...)
C	NUM=NELD(PARAMETER,N)
C
	INTEGER ENDLIN
	REAL*8 A(N)
	DATA END /'FF7FFFFF'X/
C
	DO I=1,N
	  IF (ENDLIN(A(I)).EQ.1) GO TO 11
	END DO
   11	NELD=I-1
	RETURN
	END
